Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
merchant
/
amazon
/
products
/
tasks_ready
Get Amazon Products Completed Tasks
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/tasks_ready \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.id": "<string>",
  "tasks.result.se": "<string>",
  "tasks.result.se_type": "<string>",
  "tasks.result.date_posted": "<string>",
  "tasks.result.tag": "<string>",
  "tasks.result.endpoint_advanced": "<string>",
  "tasks.result.endpoint_html": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the parameters passed in the request’s URL

tasks.result
string[]

array of results

tasks.result.id
string

task identifier of the completed task unique task identifier in our system in the UUID format

tasks.result.se
string

search engine specified when setting the task

tasks.result.se_type
string

type of search engine can take the following values: organic

tasks.result.date_posted
string

date when the task was posted (in the UTC format)

tasks.result.tag
string

user-defined task identifier

tasks.result.endpoint_advanced
string

URL for collecting the results of the Amazon Products Advanced task

tasks.result.endpoint_html
string

URL for collecting the results of the Amazon Products HTML task